"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BatchDeleteImageInput_1 = require("../shapes/BatchDeleteImageInput");
const BatchDeleteImageOutput_1 = require("../shapes/BatchDeleteImageOutput");
const ServerException_1 = require("../shapes/ServerException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchDeleteImage = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchDeleteImage",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchDeleteImageInput_1.BatchDeleteImageInput
    },
    output: {
        shape: BatchDeleteImageOutput_1.BatchDeleteImageOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        }
    ]
};
//# sourceMappingURL=BatchDeleteImage.js.map