"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetRepositoryPolicyInput = {
    type: "structure",
    required: ["repositoryName", "policyText"],
    members: {
        registryId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 2
            }
        },
        policyText: {
            shape: {
                type: "string"
            }
        },
        force: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=SetRepositoryPolicyInput.js.map