/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteRepositoryPolicyInput } from "../types/DeleteRepositoryPolicyInput";
import { DeleteRepositoryPolicyOutput } from "../types/DeleteRepositoryPolicyOutput";
import { ECRResolvedConfiguration } from "../ECRConfiguration";
export * from "../types/DeleteRepositoryPolicyInput";
export * from "../types/DeleteRepositoryPolicyOutput";
export * from "../types/DeleteRepositoryPolicyExceptionsUnion";
export declare class DeleteRepositoryPolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteRepositoryPolicyInput, OutputTypesUnion, DeleteRepositoryPolicyOutput, ECRResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteRepositoryPolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteRepositoryPolicyInput, DeleteRepositoryPolicyOutput, _stream.Readable>;
    constructor(input: DeleteRepositoryPolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ECRResolvedConfiguration): __aws_sdk_types.Handler<DeleteRepositoryPolicyInput, DeleteRepositoryPolicyOutput>;
}
