/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetRepositoryPolicyInput } from "../types/GetRepositoryPolicyInput";
import { GetRepositoryPolicyOutput } from "../types/GetRepositoryPolicyOutput";
import { ECRResolvedConfiguration } from "../ECRConfiguration";
export * from "../types/GetRepositoryPolicyInput";
export * from "../types/GetRepositoryPolicyOutput";
export * from "../types/GetRepositoryPolicyExceptionsUnion";
export declare class GetRepositoryPolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, GetRepositoryPolicyInput, OutputTypesUnion, GetRepositoryPolicyOutput, ECRResolvedConfiguration, _stream.Readable> {
    readonly input: GetRepositoryPolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetRepositoryPolicyInput, GetRepositoryPolicyOutput, _stream.Readable>;
    constructor(input: GetRepositoryPolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ECRResolvedConfiguration): __aws_sdk_types.Handler<GetRepositoryPolicyInput, GetRepositoryPolicyOutput>;
}
