/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartLifecyclePolicyPreviewInput } from "../types/StartLifecyclePolicyPreviewInput";
import { StartLifecyclePolicyPreviewOutput } from "../types/StartLifecyclePolicyPreviewOutput";
import { ECRResolvedConfiguration } from "../ECRConfiguration";
export * from "../types/StartLifecyclePolicyPreviewInput";
export * from "../types/StartLifecyclePolicyPreviewOutput";
export * from "../types/StartLifecyclePolicyPreviewExceptionsUnion";
export declare class StartLifecyclePolicyPreviewCommand implements __aws_sdk_types.Command<InputTypesUnion, StartLifecyclePolicyPreviewInput, OutputTypesUnion, StartLifecyclePolicyPreviewOutput, ECRResolvedConfiguration, _stream.Readable> {
    readonly input: StartLifecyclePolicyPreviewInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartLifecyclePolicyPreviewInput, StartLifecyclePolicyPreviewOutput, _stream.Readable>;
    constructor(input: StartLifecyclePolicyPreviewInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ECRResolvedConfiguration): __aws_sdk_types.Handler<StartLifecyclePolicyPreviewInput, StartLifecyclePolicyPreviewOutput>;
}
