/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UploadLayerPartInput } from "../types/UploadLayerPartInput";
import { UploadLayerPartOutput } from "../types/UploadLayerPartOutput";
import { ECRResolvedConfiguration } from "../ECRConfiguration";
export * from "../types/UploadLayerPartInput";
export * from "../types/UploadLayerPartOutput";
export * from "../types/UploadLayerPartExceptionsUnion";
export declare class UploadLayerPartCommand implements __aws_sdk_types.Command<InputTypesUnion, UploadLayerPartInput, OutputTypesUnion, UploadLayerPartOutput, ECRResolvedConfiguration, _stream.Readable> {
    readonly input: UploadLayerPartInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UploadLayerPartInput, UploadLayerPartOutput, _stream.Readable>;
    constructor(input: UploadLayerPartInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ECRResolvedConfiguration): __aws_sdk_types.Handler<UploadLayerPartInput, UploadLayerPartOutput>;
}
