"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BatchGetImageInput_1 = require("../shapes/BatchGetImageInput");
const BatchGetImageOutput_1 = require("../shapes/BatchGetImageOutput");
const ServerException_1 = require("../shapes/ServerException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchGetImage = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchGetImage",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchGetImageInput_1.BatchGetImageInput
    },
    output: {
        shape: BatchGetImageOutput_1.BatchGetImageOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        }
    ]
};
//# sourceMappingURL=BatchGetImage.js.map