"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _TagList_1 = require("./_TagList");
exports.CreateRepositoryInput = {
    type: "structure",
    required: ["repositoryName"],
    members: {
        repositoryName: {
            shape: {
                type: "string",
                min: 2
            }
        },
        tags: {
            shape: _TagList_1._TagList
        },
        imageTagMutability: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CreateRepositoryInput.js.map