"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvalidLayerPartException = {
    type: "structure",
    required: [],
    members: {
        registryId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 2
            }
        },
        uploadId: {
            shape: {
                type: "string"
            }
        },
        lastValidByteReceived: {
            shape: {
                type: "integer"
            }
        },
        message: {
            shape: {
                type: "string"
            }
        }
    },
    exceptionType: "InvalidLayerPartException"
};
//# sourceMappingURL=InvalidLayerPartException.js.map