"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PutImageInput = {
    type: "structure",
    required: ["repositoryName", "imageManifest"],
    members: {
        registryId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 2
            }
        },
        imageManifest: {
            shape: {
                type: "string"
            }
        },
        imageTag: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=PutImageInput.js.map